###############################################################################
###############################################################################
##
##  Copyright (C) 2004-2005 Red Hat, Inc.  All rights reserved.
##
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################

Name: gnbd
Version: 1.1.5
Release: 1%{dist}
License: GPL
Group: System Environment/Kernel
Summary: GFS's Network Block Device
BuildRequires: cman-devel
URL: http://sources.redhat.com/cluster
Source0: %{name}-%{version}.tar.gz
Patch0: gnbd-headerfile.patch
#Patch1: gnbd-makefix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
gnbd - GFS's Network Block Device

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .headerfile
#%patch1 -p1 -b .makefix

%build
./configure --mandir=%{_mandir} --libdir=%{_libdir}
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/sbin/gnbd_recvd
/sbin/gnbd_monitor
/sbin/gnbd_serv
/sbin/gnbd_clusterd
/sbin/fence_gnbd
/sbin/gnbd_export
/sbin/gnbd_import
/sbin/gnbd_get_uid

%doc
%{_mandir}/man8/*

%changelog
* Wed Mar 14 2007 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Fri Dec 15 2006 Chris Feist <cfeist@redhat.com> - 1.1.5-1
- New upstream sources
- Resolves: rhbz#219413

* Fri Oct 13 2006 Chris Feist <cfeist@redhat.com> - 1.1.4-1
- New upstream sources

* Thu Oct 12 2006 Chris Feist <cfeist@redhat.com> - 1.1.3-1
- New upstream sources

* Mon Sep 25 2006 Chris Feist <cfeist@redhat.com> - 1.1.2-1
- New upstream sources

* Tue Aug 15 2006 Chris Feist <cfeist@redhat.com> - 1.1.1-0
- New upstream sources

* Thu Aug 10 2006 Chris Feist <cfeist@Redhat.com> - 1.1.0-4
- Removed unneeded deps

* Thu Aug 10 2006 Chris Feist <cfeist@Redhat.com> - 1.1.0-3
- Build for all archs

* Wed Aug 09 2006 Chris Feist <cfeist@redhat.com> - 1.1.0-2
- Fixed changelog tag

* Mon Aug 07 2006 Chris Feist <cfeist@redhat.com> - 1.1.0-1.fc6
- Fixed release with %{?dist}
- Fixed buildroot
- Added URL tag
- Fixed summary to avoid redundancy

* Wed Jun 14 2006 Chris Feist <cfeist@redhat.com> - 1.1.0-0.fc6.0
- Rebuilt for fc6

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.0.2-0.2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 16 2005 Chris Feist <cfeist@redhat.com>
- Rebuilt w/ new upstream sources

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue May 17 2005 Chris Feist <cfeist@redhat.com>
- Require cman-kernel-modules.

* Fri May 06 2005 Chris Feist <cfeist@redhat.com>
- Cleanup .spec file, don't glob {_mandir}.

* Mon Dec 20 2004 Chris Feist <cfeist@redhat.com>
- Rebuild with new sources.

* Mon Dec 13 2004 Chris Feist <cfeist@redhat.com>
- Rebuild with new sources.

* Thu Nov 18 2004 Chris Feist <cfeist@redhat.com>
- various bug fixes (new upstream sources)

* Mon Oct 25 2004 Chris Feist <cfeist@redhat.com>
- various bug fixes (new upstream sources)

* Tue Aug 17 2004 Jon Brassow <jbrassow@redhat.com>
- various bug fixes (new upstream sources)

* Wed Jul 14 2004 Jon Brassow <jbrassow@redhat.com>
- add new binaries

* Thu Jun 17 2004 Jon Brassow <jbrassow@redhat.com> 
- Initial build.
